<template>
<div class="linkTool tool" @click="openModal" v-if="hover">
    <BIconLink45deg font-scale="1.5" />
    <span>編輯連結</span>
</div>
</template>

<script>
import {
    BIconLink45deg
} from "bootstrap-vue";
export default {
    props: {
        index: {
            type: [String, Number],
            default: "",
        },
    },
    data() {
        return {
            hover: false,
        };
    },
    components: {
        BIconLink45deg,
    },
    methods: {
        openModal() {
            this.$bvModal.show(`edit_link_gallery_${this.index}`);
        },
    },
    mounted() {
        this.$root.$on("boolean::hover" + this.index, (b) => {
            this.hover = b;
        });
    },
};
</script>

<style lang="scss">
.linkTool {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    width: 120px;
    left: 50%;
    top: -5px;
    padding: 5px 10px;
    transform: translateX(-50%);
    border: 1px solid rgba($color: #dddddd, $alpha: 0.5);
    background-color: white;
    z-index: 10;
}
</style>
